Armature droite Arch

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Rebar Straight and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Page précédente: Arch CompRebarStraight.png Arch CompRebarStraight
Page suivante: UShape Rebar Arch Rebar UShape.png Arrow-right.svg

Arch Rebar Straight.png Armature droite

Emplacement
Arch → Rebar tools
Atelier
Arch
Raccourci
None
Voir aussi
Armature en U
 
Cette commande fait partie de Reinforcement AddOn, Vous pouvez l'installer via le menu Outils → Addons Manager


Description

L'outil Armature droite permet à l'utilisateur de créer un ensemble de barres d'armature droites à l'intérieur d'un objet Arch Structure.

Cette commande fait partie du Addon Barres de renfort (armatures) que vous pouvez installer avec l'Addon manager via le menu Tools → Addon Manager → Reinforcement.

Arch Rebar Straight example.png

Deux jeux d'armatures droites à l'intérieur d'une Structure


Comment faire

  1. Sélectionnez n’importe quelle face d’un objet créé précédemment Arch Structure.svg Arch Structure.
  2. Puis sélectionnez Arch Rebar Straight.svg Armature droite dans les outils pour barres d'armature.
  3. Un panneau de tâches apparaîtra sur le côté gauche de l'écran comme indiqué ci-dessous.
  4. Sélectionnez l'orientation souhaitée.
  5. Indiquez les entrées telles que la face avant, la face latérale droite, la face latérale gauche, la face inférieure et le diamètre de la barre.
  6. Sélectionnez le mode de distribution soit en montant ou en espacement.
  7. Si l'espacement est sélectionné, un utilisateur peut également opter pour custom spacing.
  8. Choisir la face sélectionnée est utilisé pour vérifier ou modifier la face pour la distribution des barres.
  9. Cliquez sur OK ou Apply pour générer les barres d’arceau.
  10. Cliquez sur Cancel pour quitter le panneau de tâches.

StraightRebarDialog.png

Panneau de tâches pour l'outil Armature droite


Propriétés

  • DONNÉESOrientation: Il définit l'orientation de la barre d'armature (comme fond, haut, droite et gauche).
  • DONNÉESFront Cover: La distance entre l'armature et la face sélectionnée.
  • DONNÉESRight Cover: La distance entre l'extrémité droite de l'armature et la face droite de la structure.
  • DONNÉESLeft Cover: La distance entre l'extrémité gauche de l'armature et la face gauche de la structure.
  • DONNÉESCover along: Ces propriétés permettent à l'utilisateur de spécifier la couverture supérieure ou inférieure.
  • DONNÉESBottom Cover: La distance entre l'armature et la face inférieure de la structure.
  • DONNÉESTop Cover: La distance entre l'armature et la face supérieure de la structure.
  • DONNÉESAmount: La quantité de barres d'armature.
  • DONNÉESSpacing: La distance entre les axes de chaque barre.

Script

Voir aussi: Arch API, API de renforts et FreeCAD Scripts de Base.

L'outil Armature droite peut être utilisé dans une macro et depuis la console Python en utilisant la fonction suivante:

Rebar = makeStraightRebar(f_cover, coverAlong, rt_cover, lb_cover,
                          diameter, amount_spacing_check, amount_spacing_value, orientation="Horizontal",
                          structure=None, facename=None)
  • Crée un objet Rebar à partir de la structure donnée qui est une Arch Structure, et facename qui est une face de cette structure.
    • Si ni structure ni facename n'est donné, la face sélectionnée par l'utilisateur sera entrée.
  • f_cover, coverAlong, rt_cover et lb_cover sont les distances internes de décalage des éléments d'armature par rapport aux faces de la structure.
    • f_cover est le décalage du capot frontal.
    • coverAlong est un tuple (position, value) qui définit la valeur de décalage dans une position (haut, bas, gauche, droite) en fonction de orientation .
    • rt_cover correspond au décalage de la face droite ou supérieure en fonction de la valeur de coverAlong et orientation.
    • lb_cover correspond au décalage de la face gauche ou inférieure en fonction de la valeur de coverAlong et orientation.
  • diameter est le diamètre des barres de renforcement à l'intérieur de la structure.
  • amount_spacing_check s'il est mis à True, il créera autant de barres de ferraillage que celles données par amount_spacing_value; S'il est mis à False, il créera des barres de renforcement séparées par la valeur numérique de amount_spacing_value.
  • amount_spacing_value spécifie le nombre de barres d'armature, ou la valeur de la distance qui les sépare, en fonction de amount_spacing_check.
  • orientation spécifie l'orientation de la barre; il peut s'agir de "Horizontal" ou "Vertical".

En fonction de l'orientation de la barre, la fonction peut être appelée de deux manières générales en définissant coverAlong de manière appropriée.

L'armature est horizontale

Rebar = makeStraightRebar(f_cover, ("Top Side", value), right_cover, left_cover, ...)
Rebar = makeStraightRebar(f_cover, ("Bottom Side", value), right_cover, left_cover, ...)
  • coverAlong est un tuple avec un offset "Top Side" (Face supérieure) ou "Bottom Side" (Face inférieure) de la valeur.
  • Dans ce cas, rt_cover fait référence à l'offset right_cover et lb_cover à l'attente left_cover.

L'armature est verticale

Rebar = makeStraightRebar(f_cover, ("Left Side", value), top_cover, bottom_cover, ...)
Rebar = makeStraightRebar(f_cover, ("Right Side", value), top_cover, bottom_cover, ...)
  • coverAlong est un tuple avec un "Left Side" (Côté gauche)or a "Right Side" (Côté droit) d'offset valeur.
  • Dans ce cas, rt_cover fait référence à l'offset top_cover et lb_cover à l'offset bottom_cover.

Exemple horizontal

import Arch, Draft, StraightRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=400)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = StraightRebar.makeStraightRebar(50, ("Bottom Side", 20), 100, 100,
                                        12, True, 5, "Horizontal", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = StraightRebar.makeStraightRebar(50, ("Bottom Side", 50), 100, 100,
                                         12, True, 5, "Horizontal", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Exemple vertical

import Arch, Draft, StraightRebar

Structure2 = Arch.makeStructure(length=1000, width=1000, height=400)
Structure2.ViewObject.Transparency = 80
Draft.move(Structure2, FreeCAD.Vector(1500, 0, 0))
FreeCAD.ActiveDocument.recompute()

Rebar3 = StraightRebar.makeStraightRebar(50, ("Left Side", 20), 100, 100,
                                         12, True, 5, "Vertical", Structure2, "Face4")
Rebar3.ViewObject.ShapeColor = (0.9, 0.5, 0.0)

Rebar4 = StraightRebar.makeStraightRebar(50, ("Left Side", 50), 100, 100,
                                         12, True, 5, "Vertical", Structure2, "Face6")
Rebar4.ViewObject.ShapeColor = (0.0, 0.5, 0.5)

Édition de la barre d’armement

Vous pouvez changer les propriétés de la barre d’armement avec la fonction suivante.

editStraightRebar(Rebar, f_cover, coverAlong, rt_cover, lb_cover,
                  diameter, amount_spacing_check, amount_spacing_value, orientation,
                  structure=None, facename=None)
  • Rebar est un objet StraightRebar créé précédemment.
  • Les autres paramètres sont les mêmes que ceux requis par la fonction makeStraightRebar().
  • structure et facename peuvent être omis afin que l'armature reste dans la structure d'origine.

Exemple:

import StraightRebar

StraightRebar.editStraightRebar(Rebar, 50, ("Top Side", 20), 100, 100,
                                24, True, 7, "Horizontal")

StraightRebar.editStraightRebar(Rebar2, 50, ("Top Side", 50), 100, 100,
                                24, True, 7, "Horizontal")

StraightRebar.editStraightRebar(Rebar3, 50, ("Right Side", 20), 100, 100,
                                24, True, 7, "Vertical")

StraightRebar.editStraightRebar(Rebar4, 50, ("Right Side", 50), 100, 100,
                                24, True, 7, "Vertical")
Arrow-left.svg Page précédente: Arch CompRebarStraight.png Arch CompRebarStraight
Page suivante: UShape Rebar Arch Rebar UShape.png Arrow-right.svg